<p-breadcrumb [home]="{ routerLink:'../../', label: ' Bitácora', icon: 'pi pi-home' }"
  [model]="[{ routerLink: './',label: info | nameciCommit ,styleClass: info.type | classCommit}]">
</p-breadcrumb>
<div class="row bg-white mx-0 w-100 mt-4 pb-3">
  <div class="col">
    <p-fieldset  [legend]="info.type == 'Update' ? 'Estado actual':'Estado inicial'">
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Rubro:</strong> {{
                info.state?.rubro}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Fecha de aprobación:</strong> {{
            info.state?.fechaAprobacion}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Ámbito en el que incide:</strong> {{
            info.state?.ambitoIncide}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Vigencia:</strong> {{
            info.state?.vigencia}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Fecha de publicación en el DOF:</strong> {{
            info.state?.fechaPublicacionDOF}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Clasificación por materia de regulación:</strong> {{
            info.state?.clasificacionMateriaRegulacion.join()}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Órgano emisor:</strong> {{
            info.state?.organoEmisor}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Ministro Presidente en la fecha de su emisión:</strong> {{
            info.state?.ministroPresidente}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Votación del acuerdo a favor:</strong> {{
            info.state?.votacionAcuerdoFavor.join(', ')}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Ministras(os) ausentes:</strong> {{
            info.state?.ministrosAusentes}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Votación del acuerdo en contra:</strong> {{
            info.state?.votacionAcuerdoEnContra}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Votación:</strong> {{
            info.state?.votacion}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Temas específicos de regulación:</strong> {{
            info.state?.temasEspecificosRegulacion}}</span>
      </div>
    </p-fieldset>
  </div>
  <div class="col" *ngIf="info.beginState">
    <p-fieldset [legend]="info.type == 'Update' ? 'Estado inical':'Estado actual'">
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Rubro:</strong> {{
                    info.beginState?.rubro}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Fecha de aprobación:</strong> {{
                info.beginState?.fechaAprobacion}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Ámbito en el que incide:</strong> {{
                info.beginState?.ambitoIncide}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Vigencia:</strong> {{
                info.beginState?.vigencia}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Fecha de publicación en el DOF:</strong> {{
                info.beginState?.fechaPublicacionDOF}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Clasificación por materia de regulación:</strong> {{
                info.beginState?.clasificacionMateriaRegulacion.join()}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Órgano emisor:</strong> {{
                info.beginState?.organoEmisor}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Ministro Presidente en la fecha de su emisión:</strong> {{
                info.beginState?.ministroPresidente}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Votación del acuerdo a favor:</strong> {{
                info.beginState?.votacionAcuerdoFavor.join(', ')}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Ministras(os) ausentes:</strong> {{
                info.beginState?.ministrosAusentes}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Votación del acuerdo en contra:</strong> {{
                info.beginState?.votacionAcuerdoEnContra}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Votación:</strong> {{
                info.beginState?.votacion}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Temas específicos de regulación:</strong> {{
                info.beginState?.temasEspecificosRegulacion}}</span>
      </div>
    </p-fieldset>
  </div>
</div>
